MediaWiki

Common.css: Difference between revisions

From Mark Twain in the German Language Press

mNo edit summary
mNo edit summary
 
(2 intermediate revisions by the same user not shown)
Line 1: Line 1:
/* ******* CSS placed here will be applied to all skins ******* */
/* ##### CSS placed here will be applied to all skins ##### */


/* ******* ADD COLOR CODING FOR TRANSLATION CHANGES (ON ARTICLE PAGES) ******* */
/* ##### ADD COLOR CODING FOR TRANSLATION CHANGES (ON ARTICLE PAGES) ##### */
.translationInsert {
.translationInsert {
     color: seagreen;
     color: seagreen;
Line 12: Line 12:
}
}


/* ******* STYLING FOR .translationTable (ON ARTICLE PAGES) ******* */
/* ##### STYLING FOR .translationTable (ON ARTICLE PAGES) ##### */
.translationTable td {
.translationTable td {
vertical-align: top;
vertical-align: top;
}
}


/* ******* STYLING FOR .articleNote AND .collectionNote (ON ARTICLE PAGES) ******* */
/* ##### STYLING FOR .articleNote AND .collectionNote (ON ARTICLE PAGES) ##### */
.articleNote,
.articleNote,
.collectionNote {
.collectionNote {
Line 23: Line 23:
}
}


/* ******* STYLING FOR .translationChanges AND .overviewExplanatoryNote SECTIONS (ON ARTICLE PAGES AND OVERVIEW PAGES) ******* */
/* ##### STYLING FOR .translationChanges AND .overviewExplanatoryNote SECTIONS (ON ARTICLE PAGES AND OVERVIEW PAGES) ##### */
.translationChanges,
.translationChanges,
.overviewExplanatoryNote {
.overviewExplanatoryNote {
Line 34: Line 34:
}
}


/* ******* STYLING FOR .datatable (ON OVERVIEW PAGES) ******* */
/* ##### STYLING FOR .datatable (ON OVERVIEW PAGES) ##### */
     /* ******* STYLING HEADER ROW WITH SEARCH INPUT FIELDS ******* */
     /* ##### STYLING FOR HEADER ROW WITH SEARCH INPUT FIELDS ##### */
.datatable > thead:nth-child(2) th {
.datatable > thead:nth-child(2) th {
padding: 0 5px;
padding: 0 5px;
}
.datatable input::placeholder {
font-weight: normal;
}
}


     /* ******* STYLING "ENTRIES PER PAGE" DROP DOWN ******* */
     /* ##### STYLING FOR "ENTRIES PER PAGE" DROP DOWN ##### */
.dt-container .dt-input{
.dt-container .dt-input{
min-width: 50px;
min-width: 50px;
}
}


     /* ******* STYLING "SEARCH BUILDER" SECTION (BUTTON ELEMENTS) ******* */
     /* ##### STYLING FOR "SEARCH BUILDER" SECTION (BUTTON ELEMENTS) ##### */
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button:hover,
.dtsb-searchBuilder .dtsb-button:hover,
Line 52: Line 55:
background-color: transparent !important;
background-color: transparent !important;
}
}
     /* ******* STYLING "SEARCH BUILDER" SECTION (INPUT ELEMENTS) ******* */
     /* ##### STYLING FOR "SEARCH BUILDER" SECTION (INPUT ELEMENTS) ##### */
.dtsb-searchBuilder .dtsb-dropDown {
.dtsb-searchBuilder .dtsb-dropDown {
height: auto !important;
height: auto !important;
Line 61: Line 64:
}
}


/* ******* STYLING TABLE OF CONTENTS ******* */
/* ##### STYLING FOR #articleOverview TABLE (ON OVERVIEW PAGES) ##### */
#toc {
background: #f8f9fa;
border-radius: 3px;
border: 1px solid #ccc;
}
 
/*Styling of article overview table (#articleOverview)*/
#articleOverview th,
#articleOverview th,
#articleOverview td {
#articleOverview td {
font-size: 14px;
font-size: 14px;
}
}
 
    /* ##### STYLING FOR TABLEROWS WITH TYPE "N" ##### */
#articleOverview tr:has(.n) td {
#articleOverview tr:has(.n) td {
color: #818589 !important;
color: #818589 !important;
Line 81: Line 77:
}
}


/*Styling for .topicLinkList on Topic Pages*/
/* ##### STYLING FOR .topicLinkList (ON TOPIC PAGES) ##### */
.topicLinkList {
.topicLinkList {
margin-bottom: 20px;
margin-bottom: 20px;
Line 89: Line 85:
}
}


/**/
/* ##### STYLING FOR IMAGE MARGINS TO BE NARROWER (IN THUMBNAIL, FRAME, AND FRAMELESS FORMAT) ##### */
figure[typeof~="mw:File/Thumb"],
figure[typeof~="mw:File/Thumb"],
figure[typeof~="mw:File/Frame"] {
figure[typeof~="mw:File/Frame"] {
margin: 0.5em 0 0 1.4em;
margin: 0.5em 0 0 1.4em;
}
}
figure[typeof~="mw:File/Thumb"].mw-halign-left,
figure[typeof~="mw:File/Thumb"].mw-halign-left,
figure[typeof~="mw:File/Frame"].mw-halign-left {
figure[typeof~="mw:File/Frame"].mw-halign-left {
margin: 0.5em 1.4em 0 0;
margin: 0.5em 1.4em 0 0;
}
}
figure[typeof~="mw:File/Frameless"].mw-halign-right {
figure[typeof~="mw:File/Frameless"].mw-halign-right {
margin: 0 0 0 1em;
margin: 0 0 0 1em;

Latest revision as of 10:23, 23 September 2025

/* ##### CSS placed here will be applied to all skins ##### */

/* ##### ADD COLOR CODING FOR TRANSLATION CHANGES (ON ARTICLE PAGES) ##### */
.translationInsert {
    color: seagreen;
}
.translationOmission {
    color: crimson;
}
.translationChange {
    color: royalblue;
}

/* ##### STYLING FOR .translationTable (ON ARTICLE PAGES) ##### */
.translationTable td {
	vertical-align: top;
}

/* ##### STYLING FOR .articleNote AND .collectionNote (ON ARTICLE PAGES) ##### */
.articleNote,
.collectionNote {
	margin-bottom: 20px;
}

/* ##### STYLING FOR .translationChanges AND .overviewExplanatoryNote SECTIONS (ON ARTICLE PAGES AND OVERVIEW PAGES) ##### */
.translationChanges,
.overviewExplanatoryNote {
	margin-bottom: 20px;
	margin-top: 20px;
	padding: 1em;
	background: #f8f9fa;
	border-radius: 3px;
	border: 1px solid #ccc;
}

/* ##### STYLING FOR .datatable (ON OVERVIEW PAGES) ##### */
    /* ##### STYLING FOR HEADER ROW WITH SEARCH INPUT FIELDS ##### */
.datatable > thead:nth-child(2) th {
	padding: 0 5px;
}
.datatable input::placeholder {
	font-weight: normal;
}

    /* ##### STYLING FOR "ENTRIES PER PAGE" DROP DOWN ##### */
.dt-container .dt-input{
	min-width: 50px;
}

    /* ##### STYLING FOR "SEARCH BUILDER" SECTION (BUTTON ELEMENTS) ##### */
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button:hover,
.dtsb-searchBuilder .dtsb-logicContainer {
	background: transparent !important;
	background-color: transparent !important;
}
    /* ##### STYLING FOR "SEARCH BUILDER" SECTION (INPUT ELEMENTS) ##### */
.dtsb-searchBuilder .dtsb-dropDown {
	height: auto !important;
	min-width: 6em !important;
}
.dtsb-searchBuilder .dtsb-input {
	display: inline;
}

/* ##### STYLING FOR #articleOverview TABLE (ON OVERVIEW PAGES) ##### */
#articleOverview th,
#articleOverview td {
	font-size: 14px;
}
    /* ##### STYLING FOR TABLEROWS WITH TYPE "N" ##### */
#articleOverview tr:has(.n) td {
	color: #818589 !important;
}
#articleOverview tr:has(.n) td a {
	color: #60D8FF !important;
}

/* ##### STYLING FOR .topicLinkList (ON TOPIC PAGES) ##### */
.topicLinkList {
	margin-bottom: 20px;
}
.topicLinkList ul {
	list-style: inside;
}

/* ##### STYLING FOR IMAGE MARGINS TO BE NARROWER (IN THUMBNAIL, FRAME, AND FRAMELESS FORMAT) ##### */
figure[typeof~="mw:File/Thumb"],
figure[typeof~="mw:File/Frame"] {
	margin: 0.5em 0 0 1.4em;
}
figure[typeof~="mw:File/Thumb"].mw-halign-left,
figure[typeof~="mw:File/Frame"].mw-halign-left {
	margin: 0.5em 1.4em 0 0;
}
figure[typeof~="mw:File/Frameless"].mw-halign-right {
	margin: 0 0 0 1em;
}
figure[typeof~="mw:File/Frameless"].mw-halign-left {
	margin: 0 1em 0 0;
}